Bug 1069023 - Review Request: fifechan - C++ GUI library designed for games
Summary: Review Request: fifechan - C++ GUI library designed for games
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Keywords: Reopened
Depends On:
Blocks: FE-DEADREVIEW FE-GAMESIG 1016928
TreeView+ depends on / blocked
 
Reported: 2014-02-24 01:19 UTC by Christopher Meng
Modified: 2016-11-24 20:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-24 16:29:36 UTC
nonamedotc: fedora-review?


Attachments (Terms of Use)

Description Christopher Meng 2014-02-24 01:19:39 UTC
Spec URL: http://cicku.me/fifechan.spec
SRPM URL: http://cicku.me/fifechan-0.1.1-1.fc21.src.rpm
Description: Fifechan is a lightweight cross platform GUI library written in C++ 
specifically designed for games. It has a small yet powerful built in set of 
extendable GUI Widgets allowing users to create virtually unlimited types of 
widgets. Fifechan supports rendering in SDL, OpenGL, or Allegro out of the 
box or it can be adapted to use any rendering engine the user requires. 
Events are pushed to Fifechan which allows users to use any input library 
they wish or they could use the built in input handling through either SDL 
input or Allegro input. The primary goal for Fifechan is to keep it 
extendable, lightweight and still be powerful enough to use in all types of 
games out of the box.
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2014-02-24 01:20:27 UTC
This package is introduced because of new version fife. Blocking.

Comment 2 Mukundan Ragavan 2014-02-24 14:13:14 UTC
Am I right in saying fife is split into two packages - fifengine and fifechan? 

In that case, does this package *obsolete* fife and will fifengine also be packaged?

Comment 3 Christopher Meng 2014-02-25 15:23:16 UTC
(In reply to Mukundan Ragavan from comment #2)
> Am I right in saying fife is split into two packages - fifengine and
> fifechan? 
> 
> In that case, does this package *obsolete* fife and will fifengine also be
> packaged?

Evidence?

Actually guichan will be wiped in the next release:

http://blog.fifengine.net/2013/08/22/fife-0-3-5-released/

Comment 4 Mukundan Ragavan 2014-02-25 15:28:21 UTC
Never mind! I had read that blog post before but misunderstood it.

I will take this for review.

Comment 5 Mukundan Ragavan 2014-02-27 15:56:55 UTC
Does this package build for you? Can you please do a koji scratch build?

From the build log (fedora-review)

Processing files: fifechan-0.1.1-1.fc21.x86_64
606 error: File not found by glob: /builddir/build/BUILDROOT/fifechan-0.1.1-1.fc21.x86_64/usr/lib64/libfifechan*.so.*

Comment 6 Christopher Meng 2014-02-28 03:19:21 UTC
(In reply to Mukundan Ragavan from comment #5)
> Does this package build for you? Can you please do a koji scratch build?
> 
> From the build log (fedora-review)
> 
> Processing files: fifechan-0.1.1-1.fc21.x86_64
> 606 error: File not found by glob:
> /builddir/build/BUILDROOT/fifechan-0.1.1-1.fc21.x86_64/usr/lib64/
> libfifechan*.so.*

x86 builds fine, maybe it's a hardcoded issue? Can you help? I don't have x86_64 machine.

Comment 7 Mukundan Ragavan 2014-02-28 04:33:00 UTC
(In reply to Christopher Meng from comment #6)
> x86 builds fine, maybe it's a hardcoded issue? Can you help? I don't have
> x86_64 machine.

Certainly. I will look at this more detail. I will post what I find here soon.

Comment 8 Christopher Meng 2014-08-09 02:58:52 UTC
NEW SPEC URL: http://us-la.cicku.me/fifechan.spec
NEW SRPM URL: http://us-la.cicku.me/fifechan-0.1.1-2.fc22.src.rpm

Comment 9 Mukundan Ragavan 2014-08-09 22:27:02 UTC
Will review it soon.

Comment 10 Christopher Meng 2014-08-11 10:39:51 UTC
NEW SPEC URL: http://us-la.cicku.me/fifechan.spec
NEW SRPM URL: http://us-la.cicku.me/fifechan-0.1.2-1.fc22.src.rpm

Comment 11 Mukundan Ragavan 2014-08-13 00:21:31 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated", "BSD (3 clause) LGPL
     (v2.1 or later)". 8 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/personal/pkgs/reviews/1069023-fifechan/licensecheck.txt

---> This is fine.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7288135

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fifechan-0.1.2-1.fc22.x86_64.rpm
          fifechan-devel-0.1.2-1.fc22.x86_64.rpm
          fifechan-0.1.2-1.fc22.src.rpm
fifechan-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-devel.x86_64: W: file-not-utf8 /usr/share/doc/fifechan-devel/AUTHORS

--->This should be an easy fix.

3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fifechan fifechan-devel
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 typeinfo for fcn::Font
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Font::getStringIndexAt(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, int) const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 typeinfo for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::getCurrentClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::drawImage(fcn::Image const*, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::setFont(fcn::Font*)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::drawText(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, int, int, fcn::Graphics::Alignment)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 typeinfo for fcn::Image
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 mouse_z
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 _rgb_r_shift_32
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 key_shifts
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 mouse_y
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 vtable for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 mouse_x
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 _rgb_g_shift_32
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 _rgb_b_shift_32
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 key
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 mouse_b
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::Graphics()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Image::~Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 set_palette
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 text_height
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::isShiftPressed() const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::getKey() const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 blit
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 mouse_needs_poll
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::setShiftPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 destroy_bitmap
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::isControlPressed() const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::setMetaPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 text_length
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 set_color_conversion
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::KeyInput(fcn::Key const&, unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 set_trans_blender
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 geta
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 load_bitmap
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Image::Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 create_bitmap
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::isAltPressed() const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::popClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 textout_ex
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 poll_keyboard
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 keyboard_needs_poll
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Graphics::pushClipArea(fcn::Rectangle)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::MouseInput::MouseInput(unsigned int, unsigned int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::setControlPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 masked_blit
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Color::Color()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 ureadkey
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Rectangle::Rectangle(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 poll_mouse
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::setNumericPad(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 makeacol_depth
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 keypressed
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 create_bitmap_ex
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 set_clip_rect
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Color::Color(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 load_font
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 solid_mode
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Exception::Exception(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 get_color_conversion
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::isNumericPad() const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::Key::Key(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 makecol
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 drawing_mode
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 destroy_font
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_allegro.so.0.1.2 fcn::KeyInput::setAltPressed(bool)
fifechan.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_allegro.so.0.1.2 /lib64/libm.so.6
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 typeinfo for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::getCurrentClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::drawImage(fcn::Image const*, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::setFont(fcn::Font*)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::drawText(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, int, int, fcn::Graphics::Alignment)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 typeinfo for fcn::Image
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 vtable for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::Graphics()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Image::~Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::MouseInput::setButton(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setShiftPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setType(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setMetaPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::MouseInput::setType(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::MouseInput::setX(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Image::Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::popClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setKey(fcn::Key const&)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::MouseInput::setTimeStamp(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Rectangle::isIntersecting(fcn::Rectangle const&) const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Graphics::pushClipArea(fcn::Rectangle)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setControlPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Color::Color()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setNumericPad(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Color::Color(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::MouseInput::setY(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Rectangle::isContaining(int, int) const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Exception::Exception(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Key::Key(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::Rectangle::Rectangle()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_irrlicht.so.0.1.2 fcn::KeyInput::setAltPressed(bool)
fifechan.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_irrlicht.so.0.1.2 /lib64/libm.so.6
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 typeinfo for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::getCurrentClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::drawImage(fcn::Image const*, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::setFont(fcn::Font*)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::drawText(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, int, int, fcn::Graphics::Alignment)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 typeinfo for fcn::Image
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 vtable for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::Graphics()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glEnd
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Image::~Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glEnable
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glLineWidth
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glPopAttrib
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glMatrixMode
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glDisable
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glGetError
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glColor4ub
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glPushAttrib
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glLoadIdentity
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glTexEnvf
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glTexCoord2f
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glBlendFunc
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glVertex3i
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Image::Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glBindTexture
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glOrtho
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glDeleteTextures
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::popClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glPointSize
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Graphics::pushClipArea(fcn::Rectangle)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glTexImage2D
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glBegin
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Color::Color()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glScissor
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Rectangle::Rectangle(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glPushMatrix
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Color::Color(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glPopMatrix
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 fcn::Exception::Exception(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glVertex2i
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glVertex2f
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glTexParameteri
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_opengl.so.0.1.2 glGenTextures
fifechan.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_opengl.so.0.1.2 /lib64/libm.so.6
fifechan.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan.so.0.1.2 /lib64/libm.so.6
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 typeinfo for fcn::Image
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 typeinfo for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::getCurrentClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::drawImage(fcn::Image const*, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::setFont(fcn::Font*)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::drawText(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, int, int, fcn::Graphics::Alignment)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 vtable for fcn::Graphics
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_FreeSurface
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::Graphics()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Image::~Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::MouseInput::setButton(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setShiftPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_MapRGBA
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setType(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_GetTicks
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_UnlockSurface
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setMetaPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_LockSurface
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_SetColorKey
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_FillRect
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_DisplayFormatAlpha
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_SetAlpha
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_MapRGB
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::MouseInput::setType(unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_SetClipRect
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_UpperBlit
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_GetRGBA
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::MouseInput::setX(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Image::Image()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_ConvertSurface
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::popClipArea()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setKey(fcn::Key const&)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::MouseInput::setTimeStamp(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_CreateRGBSurface
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Rectangle::isIntersecting(fcn::Rectangle const&) const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 IMG_Load
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Graphics::pushClipArea(fcn::Rectangle)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setControlPressed(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Color::Color()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 SDL_DisplayFormat
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setNumericPad(bool)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Color::Color(int, int, int, int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::MouseInput::setY(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Rectangle::isContaining(int, int) const
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Exception::Exception(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Key::Key(int)
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::Rectangle::Rectangle()
fifechan.x86_64: W: undefined-non-weak-symbol /usr/lib64/libfifechan_sdl.so.0.1.2 fcn::KeyInput::setAltPressed(bool)

---> Upstream?


fifechan.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libfifechan_sdl.so.0.1.2 /lib64/libm.so.6

---> Can this be addressed?

https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency


fifechan-devel.x86_64: W: only-non-binary-in-usr-lib
fifechan-devel.x86_64: W: file-not-utf8 /usr/share/doc/fifechan-devel/AUTHORS
2 packages and 0 specfiles checked; 0 errors, 196 warnings.
# echo 'rpmlint-done:'



Requires
--------
fifechan (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

fifechan-devel (rpmlib, GLIBC filtered):
    fifechan(x86-64)
    libfifechan.so.0.1.2()(64bit)
    libfifechan_allegro.so.0.1.2()(64bit)
    libfifechan_irrlicht.so.0.1.2()(64bit)
    libfifechan_opengl.so.0.1.2()(64bit)
    libfifechan_sdl.so.0.1.2()(64bit)



Provides
--------
fifechan:
    fifechan
    fifechan(x86-64)
    libfifechan.so.0.1.2()(64bit)
    libfifechan_allegro.so.0.1.2()(64bit)
    libfifechan_irrlicht.so.0.1.2()(64bit)
    libfifechan_opengl.so.0.1.2()(64bit)
    libfifechan_sdl.so.0.1.2()(64bit)

fifechan-devel:
    fifechan-devel
    fifechan-devel(x86-64)



Source checksums
----------------
https://github.com/fifengine/fifechan/archive/0.1.2.tar.gz#/fifechan-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 4a4239314ae33c5413e4d7d3e5f2f1a7e53fb596fd1480ea7443ee78041e6b2d
  CHECKSUM(SHA256) upstream package : 4a4239314ae33c5413e4d7d3e5f2f1a7e53fb596fd1480ea7443ee78041e6b2d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1069023
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 12 Mukundan Ragavan 2016-08-06 23:33:15 UTC
This is basically a dead review at this point. It's been two years since the last response .. :(

Comment 13 Igor Gnatenko 2016-08-07 11:20:35 UTC

*** This bug has been marked as a duplicate of bug 1364777 ***

Comment 14 Fedora Update System 2016-11-16 14:54:58 UTC
fifechan-0.1.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca1553f662

Comment 15 Fedora Update System 2016-11-16 14:55:05 UTC
fifechan-0.1.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f714c8334f

Comment 16 Fedora Update System 2016-11-16 20:26:35 UTC
fifechan-0.1.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca1553f662

Comment 17 Fedora Update System 2016-11-17 03:58:15 UTC
fifechan-0.1.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f714c8334f

Comment 18 Fedora Update System 2016-11-24 16:29:36 UTC
fifechan-0.1.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-11-24 20:29:15 UTC
fifechan-0.1.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.